Loading...
Searching...
No Matches
playrec.h File Reference
Internal API functions

Internal functions for audio playback and recording. More...

This graph shows which files directly or indirectly include this file:

## Functions

void | playrec_open (unsigned int numch)
| Initialise the playrec module.
void | playrec_close ()
| Closes the playrec module.
void | playrec_new_digit_record (int handle, char digit)
| Called by the `MMQ` when the `DSP` detects a digit event.
void | playrec_new_digit_play (int handle, char digit)
| Called by the `MMQ` when the `DSP` detects a digit event.
void | play_reset_hw_gain (int handle)
| Reset the hardware play gain to the configured default value.
void | record_reset_hw_gain (int handle)
| Reset the hardware record gain to the configured default value.

## Detailed Description

Internal functions for audio playback and recording.